nvme_get_log_device_self_test(2)

NAME
nvme_get_log_device_self_test - Retrieve the device self test log

SYNOPSIS
int nvme_get_log_device_self_test (int fd , struct nvme_self_test_log *log );

ARGUMENTS

fd  File descriptor of nvme device

log Userspace address of the log payload

DESCRIPTION
The log page indicates the status of an in progress self test and the percent complete of that operation, and the results of the previous 20 self-test operations.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.